Modify

Opened 11 years ago

Closed 11 years ago

#498 closed defect (worksforme)

editing relation in josm crashes

Reported by: gercokees@… Owned by: framm
Priority: major Milestone:
Component: Core Version:
Keywords: Cc:

Description

When editing relationi josm gives an unexpected exception.

josm version: 466 (sun 11 nov 2007)
java version: 1.5.0_10
pluggin mappaint: 5207

Path: josm
URL: http://www.openstreetmap.de/svn/josm
Repository Root: http://www.openstreetmap.de/svn/josm
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Revision: 466
Node Kind: directory
Last Changed Rev: 466
Last Changed Date: 2007-11-11 14:17:51 +0100 (Sun, 11 Nov 2007)

Try downloading data (copy url to determine bounding box):
http://www.openstreetmap.org/index.html?mlat=51.407513806155166&mlon=4.249162357526838&zoom=12

Path: josm
URL: http://www.openstreetmap.de/svn/josm
Repository Root: http://www.openstreetmap.de/svn/josm
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Revision: 466
Node Kind: directory
Last Changed Rev: 466
Last Changed Date: 2007-11-11 14:17:51 +0100 (Sun, 11 Nov 2007)

java.lang.NullPointerException

at org.openstreetmap.josm.data.osm.visitor.NameVisitor.visit(NameVisitor.java:54)
at org.openstreetmap.josm.data.osm.Node.visit(Node.java:41)
at org.openstreetmap.josm.gui.OsmPrimitivRenderer.renderer(OsmPrimitivRenderer.java:67)
at org.openstreetmap.josm.gui.OsmPrimitivRenderer.getTableCellRendererComponent(OsmPrimitivRenderer.java:55)
at javax.swing.JTable.prepareRenderer(Unknown Source)
at javax.swing.plaf.basic.BasicTableUI.paintCell(Unknown Source)
at javax.swing.plaf.basic.BasicTableUI.paintCells(Unknown Source)
at javax.swing.plaf.basic.BasicTableUI.paint(Unknown Source)
at javax.swing.plaf.ComponentUI.update(Unknown Source)
at javax.swing.JComponent.paintComponent(Unknown Source)
at javax.swing.JComponent.paint(Unknown Source)
at javax.swing.JComponent.paintChildren(Unknown Source)
at javax.swing.JComponent.paint(Unknown Source)
at javax.swing.JViewport.paint(Unknown Source)
at javax.swing.JComponent.paintChildren(Unknown Source)
at javax.swing.JComponent.paint(Unknown Source)
at javax.swing.JComponent.paintChildren(Unknown Source)
at javax.swing.JComponent.paint(Unknown Source)
at javax.swing.JComponent.paintChildren(Unknown Source)
at javax.swing.JComponent.paint(Unknown Source)
at javax.swing.JComponent.paintChildren(Unknown Source)
at javax.swing.JComponent.paint(Unknown Source)
at javax.swing.JComponent.paintWithOffscreenBuffer(Unknown Source)
at javax.swing.JComponent.paintDoubleBuffered(Unknown Source)
at javax.swing.JComponent._paintImmediately(Unknown Source)
at javax.swing.JComponent.paintImmediately(Unknown Source)
at javax.swing.RepaintManager.paintDirtyRegions(Unknown Source)
at javax.swing.SystemEventQueueUtilities$ComponentWorkRequest.run(Unknown Source)
at java.awt.event.InvocationEvent.dispatch(Unknown Source)
at java.awt.EventQueue.dispatchEvent(Unknown Source)
at java.awt.EventDispatchThread.pumpOneEventForHierarchy(Unknown Source)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
at java.awt.EventDispatchThread.run(Unknown Source)

Attachments (0)

Change History (2)

comment:1 Changed 11 years ago by gercokees@…

Hi,
I solved the problem as follows:

download the area,
save to osm-file
delete the first node in the relation (node 42677199).
open the osm-file, do some modifications, and upload the relation again...

<relation id='2738' timestamp='2007-11-12T12:01:18+00:00' user='GercoKees' visible='true'>

<member type='node' ref='42677199' role= />
<member type='way' ref='4985293' role=
/>
<member type='way' ref='4985294' role= />
<member type='way' ref='6708527' role=
/>
<member type='way' ref='6708538' role= />
<member type='way' ref='6708580' role=
/>
<member type='way' ref='6708584' role= />
<member type='way' ref='6708585' role=
/>
<member type='way' ref='6708586' role= />
<member type='way' ref='7140275' role=
/>
<member type='way' ref='7140278' role= />
<member type='way' ref='7140288' role=
/>
<member type='way' ref='7140294' role= />
<member type='way' ref='7140297' role=
/>
<member type='way' ref='7163561' role= />
<member type='way' ref='7192636' role=
/>
<member type='way' ref='7192639' role= />
<member type='way' ref='7192673' role=
/>
<member type='way' ref='7192674' role= />
<member type='way' ref='7192709' role=
/>
<member type='way' ref='7192734' role= />
<member type='way' ref='7216281' role=
/>
<member type='way' ref='7216328' role= />
<member type='way' ref='7251155' role=
/>
<member type='way' ref='7251248' role= />
<member type='way' ref='7251348' role=
/>
<member type='way' ref='7251353' role= />
<member type='way' ref='7251358' role=
/>
<member type='way' ref='7251387' role= />
<member type='way' ref='7252428' role=
/>
<member type='way' ref='7252648' role= />
<member type='way' ref='7252649' role=
/>
<member type='way' ref='7252650' role= />
<member type='way' ref='7252654' role=
/>
<member type='way' ref='7252655' role= />
<member type='way' ref='7252664' role=
/>
<member type='way' ref='7253293' role= />
<member type='way' ref='7254243' role=
/>
<member type='way' ref='7260633' role= />
<member type='way' ref='7260634' role=
/>
<member type='way' ref='7261578' role= />
<member type='way' ref='7261580' role=
/>
<member type='way' ref='7261630' role= />
<member type='way' ref='7261633' role=
/>
<member type='way' ref='7261657' role= />
<member type='way' ref='7261666' role=
/>
<member type='way' ref='7261670' role= />
<member type='way' ref='7261722' role=
/>
<member type='way' ref='7261728' role= />
<member type='way' ref='7261730' role=
/>
<member type='way' ref='7261857' role= />
<member type='way' ref='7261859' role=
/>
<member type='way' ref='7261869' role= />
<member type='way' ref='7261875' role=
/>
<member type='way' ref='7261879' role= />
<member type='way' ref='7599411' role=
/>
<member type='way' ref='7599413' role= />
<member type='way' ref='7599415' role=
/>
<member type='way' ref='7599416' role= />
<member type='way' ref='7599935' role=
/>
<member type='way' ref='7600202' role= />
<member type='way' ref='7600209' role=
/>
<member type='way' ref='7600210' role= />
<member type='way' ref='7600238' role=
/>
<member type='way' ref='7600239' role= />
<member type='way' ref='7600240' role=
/>
<member type='way' ref='7600241' role= />
<member type='way' ref='7600330' role=
/>
<member type='way' ref='7600381' role= />
<member type='way' ref='7600517' role=
/>
<member type='way' ref='7600604' role= />
<member type='way' ref='7600651' role=
/>
<member type='way' ref='7600670' role= />
<member type='way' ref='7600686' role=
/>
<member type='way' ref='7600717' role= />
<member type='way' ref='7600726' role=
/>
<member type='way' ref='7600743' role= />
<member type='way' ref='7600751' role=
/>
<member type='way' ref='7600758' role= />
<member type='way' ref='7600759' role=
/>
<member type='way' ref='7600774' role= />
<member type='way' ref='7600775' role=
/>
<member type='way' ref='10737637' role= />
<tag k='ref' v='13' />
<tag k='type' v='route' />
<tag k='route' v='bicycle' />
<tag k='created_by' v='JOSM' />
<tag k='network' v='ncn' />

</relation>

comment:2 Changed 11 years ago by anonymous

Resolution: worksforme
Status: newclosed

Lots of changes here. Rereport if still existing.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain framm.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.